Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
https://{{host}}/api/public/bot/{{BotID}}/userEngagementTrend?aggregation_type={{type}}&start_date={{from}}&end_date={{to}}&channels={{channel}}
application/json
auth: {{JWT}}
host
https://platform.kore.ai
BotID
curl -X POST \ 'https://{{host}}/api/public/bot/{{bot_id}}/userEngagementTrend?aggregation_type=Hourly&start_date=2020-09-01&end_date=2020-09-05&channels=rtm' \ -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \ -H 'content-type: application/json'
filters
start_date
end_date
channel
aggregation_type
Hourly
Daily
aggregation_type = Daily
{ "results":[ { "date": "MMM DD YYYY", "users": "number of users" }, { "date": "MMM DD YYYY", "users": "number of users" } ], "totalResults": 2 }
aggregation_type = Hourly
{ "results": [ { "date":"Aug 06 2020", "0 - 1": 20, "1 - 2": 0, "2 - 3": 0, "3 - 4": 10, "23 - 0": 0 }, { "date":"Aug 07 2020", "0 - 1": 20, "23 - 0": 0 } ], "totalResults": 2 }
Was this page helpful?